aboutsummaryrefslogtreecommitdiff
path: root/src/gfxstream/qnx/nto/build-gfxstream.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/gfxstream/qnx/nto/build-gfxstream.sh')
-rwxr-xr-xsrc/gfxstream/qnx/nto/build-gfxstream.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/src/gfxstream/qnx/nto/build-gfxstream.sh b/src/gfxstream/qnx/nto/build-gfxstream.sh
new file mode 100755
index 00000000000..c2fc69b14a2
--- /dev/null
+++ b/src/gfxstream/qnx/nto/build-gfxstream.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+set -e
+
+if [ -z "$QNX_HOST" ]; then
+ echo "QNX_HOST not set"
+ exit 1
+fi
+
+if [ -z "$QNX_TARGET" ]; then
+ echo "QNX_TARGET not set"
+ exit 1
+fi
+
+export PKG_CONFIG_LIBDIR=../../pkgconfig
+
+meson setup ../../.. gfxstream/ \
+ --cross-file ./meson.cross.ini \
+ -Ddefault_library=shared \
+ -Ddecoders=gles,vulkan,composer \
+ -Dqnx_target=$QNX_TARGET
+
+ninja -v -C gfxstream